/*
	flipScreen.h
*/

#pragma once


#include <QDOffscreen.h>
#include <Power.h>



typedef struct {
	GWorldPtr		itsGWorld;
	GDHandle		itsGDevice;
	PixMapHandle	itsPMap;
	
	GWorldPtr		rotatedGWorld;
	GDHandle		rotatedGDevice;
	PixMapHandle	rotatedPMap;
} ScreenPanel;

#define MAX_PANELS		30

typedef ScreenPanel		ScreenPanels[MAX_PANELS];


typedef struct {
	ScreenPanels	gThePanels;
	short			gNumRows;
	short			gNumCols;
	short			gNumPanels;
	short			gPanelHeight;
	short			gPanelWidth;
} FlipInfo;



typedef struct {
	SleepQRec		sleepRec;
	FlipInfo		myGlobals;
	long			myA5;
} MySleepInfo;



/*
	Globals
*/

extern MySleepInfo		myRec;
extern Boolean			gHasPowerManager;



/*
	Prototypes
*/
void			setupToFlip		(FlipInfo* gFlipGlobals, Boolean grayScreen);
void			flipIt			(FlipInfo* gFlipGlobals, short how, short direction);
void			cleanupFlip		(FlipInfo* gFlipGlobals);
void			initFlipper		(void);
void			killFlip		(void);
long			MySleepRtn		(void);

