// Copyright  1992-1993 Emergent Behavior. All rights reserved.

#ifndef _TLANDERDOCUMENT_
#define _TLANDERDOCUMENT_



#ifndef _PHYSICS_
	#include <Physics.h>
#endif
//=================================================================
class TLanderDocument : public TDocument, public MIdler {
public:
							TLanderDocument( Scalar InitialAlt);
							TLanderDocument(const TLanderDocument& source);
	virtual MQACollectible*	Clone() const;
	virtual 				~TLanderDocument();
	virtual void			SetInitialAltitude(Scalar meters);
	virtual	TSystem*		GetSystem();
	virtual void			SetThrust( TThrustForce& newThrust );
	virtual	void			SetMissionInProgress ( Boolean inProgress );
	virtual void			SetFinalSpeed (Scalar metersPerSec );
	virtual long			GetInitialTicks();
protected:
  // overrides
	virtual TView*			DoCreateViews();
	virtual void			DoSetupMenus(TMenuBar& theMenuBar);
	virtual void			DoMenuCommand(long menuResult);
	virtual void			DoIdle();

private:
	TSystem*			fSystem;
	Scalar				fInitialAltitude;
	Scalar				fFinalSpeed;
	TThrustForce		fThrust;
	Boolean				fMissionInProgress;
	long				fInitialTicks;
};

//=================================================================
#endif

